# Filename: tri_centroid.py
# Purpose: Find the centroid of a triangulation.
# Returns: Point.

from maptek import vulcan

input_tri = 'cube.00t'  # input triangulation

with vulcan.triangulation(input_tri) as tri:  # open triangulation in read mode
    centroid = tri.centroid()  # get the centroid of the given triangulation
    
    # do something...
    print(f"{centroid}")